# Cello Claude Projects List

![logo](claude.svg)

[[toc]]

To see a table of contents on github click the hamburger icon on the top right of this readme file (it's next to the pencil icon). The `[[toc]]` you see there is for vscode users.

This is just a beginning ...

- Relevant github links are provided for projects that have revision control enabled (just adding these now) Please be patient
- The list will grow as more projects are created and added to the Claude AI platform.

This is a list of Anthropic Claude projects related to Cello Communications. The list is generated from the [Claude AI](https://claude.ai) platform.

The projects are categorized by their primary business related function or purpose. Each project includes a brief description, status, and links to the project on the Claude AI platform. Additionally Github links are provided to the projects that have revision control enabled

## Employee Resources

_Tools and documentation to support Cello staff operations and policies._

### Cello Staff Directory

![Status: Beta](https://img.shields.io/badge/Status-Beta-yellow)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Right now is only an Org Flow with Titles and Positions. Eventually I aim to have more information about the teams and the individuals (Responsibilities, Interests, operational skills etc...)

> Created by Shane Holloman
>
> <https://claude.ai/project/0a28ac83-6b13-4c04-98e3-7d85e5b413cc>

### Cello Staff Guidelines and Policies

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

This AI assistant helps Cello staff instantly access and understand company policies and procedures by acting as a knowledgeable HR guide. Drawing directly from Cello's official documentation, it helps employees navigate everything from workplace safety protocols to IT security policies, while ensuring all information shared is current and properly sourced from our authorized documents.

The assistant can reference specific policies, provide relevant procedural links, and direct staff to appropriate resources or contacts within Cello, including HR head Abby Sambrooke when needed.

It's a knowledgeable HR companion that helps make Cello's policies more accessible and easier to understand, while maintaining strict adherence to our official guidelines.

> Created by Shane Holloman
>
> - <https://github.com/CelloCommunications/claude-project_cello-staff-guidelines-and-policies>
> - <https://claude.ai/project/26e0003b-0bf6-44e1-af37-dfafa597f4b8>

### Cello Staff Benefits

> Yet to be created

## Document Processing

_Tools for converting and processing various document formats._

### Single PDF to Markdown - Exclude Images

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Transcribe and convert a SINGLE attached PDF to Markdown. Ensure proper Table of Contents, Titles and Subtitles, tables, lists, quotes etc are used and correctly formatted - excludes images to optimize token usage.

> - Created by Shane Holloman
> - <https://github.com/CelloCommunications/claude-project_pdf-to-markdown-exclude-images>
> - <https://claude.ai/project/b4388815-e653-4bca-806b-22492e469e8a>

### PDF to Markdown Exclude Images

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Alternative PDF to Markdown converter with image exclusion for optimal token usage.

> Created by Shane Holloman
>
> <https://claude.ai/project/a1428545-c0ba-4aaf-a321-50d8c0b4fe4e>

## Code Development

_Specialized coding assistants for various programming languages and platforms._

### Ansible Coder

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Ansible coder specialized in Cello infrastructure. Create personal copies for custom code needs.

> Created by Shane Holloman
>
> <https://claude.ai/project/ba8f0402-b2d0-4a2a-9903-b6a508b79eaf>

### PowerShell Coder

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Best practices PowerShell coding assistant. Create personal copies for custom code needs.

> Created by Shane Holloman
>
> <https://claude.ai/project/27eb53b5-7b51-4e32-9080-dc0dd6261ee7>

### Python Coder

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Best practices Python coding assistant. Create personal copies for custom code needs.

> Created by Shane Holloman
>
> <https://claude.ai/project/9408aecd-2fcd-4f2c-80dc-4dc06fa0e90c>

### SemGrep Coder

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Helper for writing semgrep rules based on potentially problematic code examples.

> Created by Shane Holloman
>
> <https://claude.ai/project/55ae9fbf-85cf-4bb8-a75d-066702be6de8>

## Application Development

_Tools for rapid application prototyping and problem-solving._

### Alpha: Rapid App Prototyper

![Status: Alpha](https://img.shields.io/badge/Status-Alpha-red)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Language-agnostic app scaffolding tool using explicit markdown format.

> Created by Shane Holloman
>
> <https://claude.ai/project/85f81b5a-0973-4d0d-ba86-fd200310a7c8>

### Beta: Rapid App Prototyper

![Status: Beta](https://img.shields.io/badge/Status-Beta-yellow)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Language-agnostic app scaffolding tool using concise XML format.

> Created by Shane Holloman
>
> <https://claude.ai/project/8acb352c-8583-4467-bf8a-7bb854aa09ea>

## Project Management

_Tools for improving project delivery and modernization efforts._

### Beta: Project Prompt Engineer

![Status: Beta](https://img.shields.io/badge/Status-Beta-yellow)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Meta-tool for improving Claude project system prompts.

> Created by Shane Holloman
>
> <https://claude.ai/project/91c30275-2a7e-4282-ac96-52e0ef0a8316>

### Private: Projects Prompt Engineer

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Private](https://img.shields.io/badge/Status-Private-lightgrey)

Internal tool for Claude project prompt optimization.

> Created by Shane Holloman
>
> <https://claude.ai/project/7265dc82-2a1c-44e1-bb8c-87e489c3715e>

### Tool Modernization Effort

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Initiative to modernize corporate tools for web, reporting, user experience, search, API integration and AI compatibility.

> Created by Dave Bendersky
>
> <https://claude.ai/project/d869fb40-6887-439b-b982-8755bc2eb680>

## Sales Operations

_Resources for proposal writing and service productization._

### Proposal Pro

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Assistant for writing proposals using historical response context.

> Created by Dave Bendersky
>
> <https://claude.ai/project/75bd138c-a6d8-4e21-847b-a5a39157d35c>

### Cello Service Productization Support

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Support tool for service productization initiatives.

> Created by Dave Bendersky
>
> <https://claude.ai/project/83ca89aa-a534-4d56-9a91-45bda3918535>

## System Operations

_Tools for system interrogation and analysis._

### OIP Interrogate

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

System interrogation tool.

> Created by Dave Bendersky
>
> <https://claude.ai/project/06112984-ffdd-4da1-9ffe-4a3bcb291ade>

## Knowledge Base

_Documentation and guides for using Claude and other tools._

### How to use Claude

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

Example project and guide for getting the most out of Claude interactions.

> Created by Anthropic
>
> <https://claude.ai/project/e027cec3-de14-4617-be99-8a81953fdfe2>

## General Tools

_Miscellaneous tools and utilities._

### Private: Transcendent Mind

![Status: Production](https://img.shields.io/badge/Status-Production-green)
![Status: Private](https://img.shields.io/badge/Status-Private-lightgrey)

> Created by Shane Holloman
>
> <https://claude.ai/project/995207df-84de-42d6-9e6b-6a22e8ebca0b>

### Beta: General Problem Solver

![Status: Beta](https://img.shields.io/badge/Status-Beta-yellow)
![Status: Published](https://img.shields.io/badge/Status-Published-blue)

General deep thinking assistant for complex problems.

> Created by Shane Holloman
>
> <https://claude.ai/project/f990ca37-2bca-4f6a-8512-b0e17b3dbf97>

## Marketing and Communications

_Tools for marketing, branding, and communication efforts._

> Yet to be created
