# Shane Holloman Resume

> Devops Specialist
> Wellington NZ

[Email](mailto:shaneholloman@gmail.com)  
[LinkedIn](https://linkedin.com/in/shaneholloman)  
[Live Resume](https://github.com/shaneholloman/resume)  
[+64-22-355-4600](tel:+64-22-355-4600)

<!-- TOC -->

- [Preamble](#preamble)
    - [Favorite Tools](#favorite-tools)
    - [Current Focus](#current-focus)
- [Experience](#experience)
    - [Recent Experience](#recent-experience)
    - [Past Experience](#past-experience)
- [Studies](#studies)
    - [Current Study](#current-study)
    - [Past Study](#past-study)

<!-- /TOC -->

## Preamble

Currently studying Cybersecurity for the [Cisco CyberOps Associate Certification](https://www.credly.com/org/cisco/badge/cyberops-associate)

### Favorite Tools

| Tool       | Link                                            |
| ---------- | ----------------------------------------------- |
| MkDocs     | <https://www.mkdocs.org/>                       |
| Ansible    | <https://docs.ansible.com/>                     |
| Terraform  | <https://www.terraform.io/docs/>                |
| LXD        | <https://linuxcontainers.org/lxd/introduction/> |
| Docker     | <https://docs.docker.com/>                      |
| Podman     | <https://docs.podman.io/en/latest/>             |
| Kubernetes | <https://kubernetes.io/docs/>                   |
| Maas       | <https://maas.io/docs/>                         |

Currently I operate as Senior DevOps Engineer for Kordia Ltd as of November 2021.  The prior 5 years I was an IT Manager that included systems engineering, turnkey on-premise infrastructure builds, large-scale render farms, and client solutions with some DevOps for a video photogrammetry company. That startup had some 90+ folks employed. This required on-premise IT infrastructure design and deployment in multiple countries both for us and our clients. Here, I learned Ansible as a tool to commission bare metal render farms and maintain systems in Wellington, Seoul, and Tokyo. That job was great and very fast paced. The best part was learning new tech and occasionally fielding some left field challenges. This was my first startup and I’d likely do another if the tech was interesting to me.

Before that has been a 50/50 split of technical and creative experiences. I’ve a past background in on-set production and post VFX / Compositing which included on-set and post audio for small movies, music, and commercials in Nashville and New York City. Today, I'm currently studying CyberSecurity and https://www.kite.nz in my spare time.

| Professional Skill set     | Hobby Skill set      |
| -------------------------- | -------------------- |
| On Prem and Cloud DevOps   | Unreal Engine        |
| Ansible Automation         | Photography          |
| Server Administration      | Digital Art          |
| Bare Metal via Maas        | Photogrammetry       |
| Containers and Hypervisors | Blockchain use cases |

### Current Focus

Cybersecurity, Ansible Automation, Kubernetes, Stack Development, Linux and Windows Server Management, Networking, Bash Scripting, Docker

- [x] [![Cisco CyberOps Introduction Credential](https://img.shields.io/badge/Cisco-CyberOps%20Introduction-brightgreen?style=flat-square&logo=cisco)](https://www.credly.com/badges/41b7aa38-e84d-4283-942f-e5b6dd612cbe) Completed and Passed Verification
- [x] [![Cisco CyberOps Essential Credential](https://img.shields.io/badge/Cisco-CyberOps%20Essentials-brightgreen?style=flat-square&logo=cisco)](https://www.credly.com/badges/ed9ff8dc-9fe4-4e25-8c89-22c092716bd1) Completed and Passed Verification
- [ ] [![Cisco CyberOps Associate Credential](https://img.shields.io/badge/Cisco-CyberOps%20Associate-blue?style=flat-square&logo=cisco)](https://www.credly.com/org/cisco/badge/cyberops-associate) Still in progress!

## Experience

### Present

- **Infrastructure Engineer**

  > DevOps • System Engineer • Automation • VMware • Fortinet  
  > **`Cello Ltd • 2023 - Present`**

### Recent Experience

- **Senior Devops Engineer**

  > DevOps • System Engineer • Automation • VMware  
  > `Kordia Ltd • 2021 - 2022`

- **IT Manager**

  > DevOps • System Engineer • Ansible Automation • MaaS Deployments  
  > `8i Ltd • 2016 - 2020`

  `Tools Used` Ansible, Linux (OpenSuse, CentOS, Ubuntu), MaaS, Virtualization, Windows Server/Active Directory, Networking, Scripting (Bash and PowerShell), Databases (MySQL, Elasticsearch, MongoDB), Statistic solutions (Prometheus and Grafana),

- **IT & Digital Assets Manager**

  > Digital Assets Manager • Wordpress Dev • Nginx Stacks  
  > `Traffic • 2012 - 2019`

  `Tools Used`
  Ansible, Linux, Nginx, Bash Scripting, Git, Vscode, SSH, Illustrator, Lightroom, Photography, Excel Scripting

- **Web Developer Digital Artist Marketing**

  > Server Stacks • SMS / SIP Logic • VFX • Digital Art  
  >  `UnitedSaints • 2007 - 2015`

  `Tools Used` Linux, Nginx, Bash Scripting, HTML, CSS, Frontend frameworks, WordPress, Github, SSH, Illustrator, Lightroom, Photography, Excel, Google Apps, Nuke, Maya, Cinema 4D, Daz3D, Capture One, PTGui

### Past Experience

- **IT Admin & Web Dev**  
  `Realwater Inc • 2011 - 2012`  
  IT Administrator, Digital Artist, Web Development, eCommerce, Quickbooks,  Branding and Marketing Concepts, Product Visualization through final Production.

- **Compositor Stereographer**  
  `Zoe Creative Services • 2010 - 2011`  
  Lead Compositor, Technical Director, OS X Server Deployment and Administration.

- **Mac Specialist**  
  `Apple Inc • 2005 - 2007`  
  I worked as a Mac Specialist with the creative department as a software trainer for little over a year and really loved it. Whereas sales was a primary hired objective, I was typically training clients daily.

- **Stage Manager Nashville Star**  
  `USA Networks • 2002 - 2006`  
  Live television. Stage managing principal talent, namely the Host and their respective teams for live broadcast television.

## Studies

### Current Study

- **Cisco, NZ**  
  CyberOps Associate Certification  
  `2021 - Present`

### Past Study

- **New Horizon Technical College, USA**  
  Digital Art  
  `1996 - 1996`

- **The University of Georgia, USA**  
  BA, Music Performance  
  `1993 - 1994`

- **Grand Canyon University, USA**  
  BA, Commercial Music  
  `1990 - 1992`

- **Middleton Grange, NZ**  
  General Focus, Fine Arts  
  `1985 - 1987`

- **Christchurch Boys High, NZ**  
  General Focus: Art and Music  
  `1983 - 1984`

- **Heaton Street Intermediate, NZ**  
  General Focus: Art and Music  
  `1981 - 1982`
